import visad.*;
import visad.java3d.DisplayImplJ3D;
import visad.java2d.DisplayImplJ2D;
import java.rmi.RemoteException;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

class f2 extends f_xj
{
public double func(double x[]) 
{
//çözümü istenen fonksiyon	
double ff;
double W=1.0;
double L=1.0;
double toplam1=0;
double artieksi=1;
for(double m=1;m<200;m++)
{toplam1+=((artieksi+1)/m)*Math.sin(m*Math.PI*x[0]/L)*Math.sinh(m*Math.PI*x[1]/L)/Math.sinh(m*Math.PI*W/L);
artieksi*=-1;
//System.out.println("toplam1="+toplam1);
}
toplam1*=2.0/Math.PI;
return toplam1; 
}
}

  public class HT_duzlem
  {
  public static void main(String[] args) throws RemoteException, VisADException
  { f2 f=new f2();
    ContourPlot p = new ContourPlot(f,0.0,1.0,20,0.0,1.0,20,20, false,"Test Contour Plot", "X Axis", "Y Axis");
    p.plot();
    
  }
  }